from persistencia.persistente import Persistente
from modelo.pessoa import Pessoa
from modelo.pet import Pet
from modelo.adocao import Adocao

class BancoDeDados:
    def __init__(self):
        self.pessoas = Persistente()
        self.pets = Persistente()
        self.adocoes = Persistente()

    def obter_proximo_id(self):
        ids_pessoas = [p.id for p in self.pessoas.listar_todos()]
        ids_pets = [p.id for p in self.pets.listar_todos()]
        ids_adocoes = [a.id for a in self.adocoes.listar_todos()]

        todos_ids = ids_pessoas + ids_pets + ids_adocoes
        return max(todos_ids) + 1 if todos_ids else 1
